header {
    width: 100%;
    max-width: 870px;
    margin: 0 auto;
    border-bottom: 2px solid #ddd;

    position: sticky;
    top: 0;
    background: #D3DAD9;;
    z-index: 1000;
}

nav ul {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
}

nav ul li {
    padding: 8px 10px;
}

nav a {
    text-decoration: none;
    color: #333;
}

nav a:hover {
    text-decoration: underline;
}

nav a.p {
    color: #DC5F00;
    font-weight: bold;
}

@media (max-width: 768px) {
    nav ul {
        flex-wrap: wrap;
        justify-content: center;
        row-gap: 2px;
    }

    nav ul li {
        padding: 4px 8px;
    }

    nav a {
        font-size: 15px;
    }
}

h1,
h2 {
    color: #DC5F00;
}

h1 {
    font-size: 1.9em;   /* 少し小さめ。必要なら 1.5〜1.7em で調整 */
    text-align: center;
}

h2 {
    font-size: 1.4em;   /* 少し小さめ。必要なら 1.5〜1.7em で調整 */
}

main {
    max-width: 760px;   /* ← 今より少し小さくする */
    margin: 20px auto;  /* ← 左右 auto で中央寄せ */
    padding: 0 16px;    /* ← スマホ用の余白 */
}

span {
    color: #686D76
}

.word-title {
    font-size: 1.3rem;
    color: #373A40;
}

.title-table {
    width: 90%;
    border-collapse: collapse;
    text-align: left;
    margin: 0 auto;
    margin-bottom: 15px;
    background-color: #DC5F00;
    border: 1px solid #000;
}

.title-table td {
    border: 1px solid #000;
    padding: 5px;
}

footer {
    text-align: center;
    margin-top: 30px;
}

footer img {
    vertical-align: middle;
}
